/*
Theme Name: Blocksy Child
Theme URI: http://example.com/blocksy-child
Description: A child theme for the Blocksy theme
Author: Mohammed Alghazali
Author URI: http://example.com
Template: blocksy
Version: 1.26.10
*/

/* 
This file for the general styles of our child theme.
The other files are for specific components and they exist in the css folder.
To create a new css file, you should define the file in the enqueue-styles.php file.
*/

@font-face {
  font-family: "Poppins";
  src: url("./frontend/fonts/Poppins-Bold.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("./frontend/fonts/Poppins-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("./frontend/fonts/Poppins-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: "Hind";
  src: url("./frontend/fonts/Hind-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Hind";
  src: url("./frontend/fonts/Hind-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
}

:root {
  --base-font-family-heading: "Poppins";
  --base-font-family-body: "Hind";
}

.woocommerce-checkout
  .wc-block-components-checkout-step__container
  .wc-block-checkout__shipping-method-option {
  box-shadow: inset 0 0 0 1px var(--growku-border-selected) !important;
}

.woocommerce-checkout
  .wp-block-woocommerce-checkout-order-summary-block
  .wc-block-components-order-summary
  > div:first-of-type {
  border-bottom: 1px solid #c5c5c5;
}

.woocommerce-checkout
  .wp-block-woocommerce-checkout-totals-block
  .wp-block-woocommerce-checkout-order-summary-block
  .wc-block-components-totals-wrapper:last-child {
  border-color: #c5c5c5;
}

.woocommerce-checkout
  .wc-block-components-radio-control--highlight-checked
  .wc-block-components-radio-control-accordion-option--checked-option-highlighted {
  box-shadow: inset 0 0 0 2px #3a4f66;
}

.woocommerce-checkout
  .wc-block-components-text-input.wc-block-components-totals-coupon__input
  input {
  border: 1px solid #c5c5c5 !important;
}

.woocommerce-checkout
  .wc-block-components-text-input.wc-block-components-totals-coupon__input
  input:focus {
  border-color: #c5c5c5 !important;
}

.woocommerce-checkout .wc-block-components-totals-discount__coupon-list-item.wc-block-components-chip {
  border-color: #c5c5c5;
}

.tip-percentage-btn.growku-button-outlined{
 border-color: #c5c5c5;
}

.woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-block .wc-block-components-checkout-order-summary__title .wc-block-components-checkout-order-summary__title-text {
  font-family: var(--base-font-family-heading);
}

.delivery-selector .tab label {
  border-color: var(--growku-action-primary-default);
}